#ifndef PHP_MOD_BT_APACHE_H
#define PHP_MOD_BT_APACHE_H

#include "httpd.h"
#include "http_config.h"
#include "http_core.h"

typedef struct php_struct {
    int state;
    request_rec *r;
    apr_bucket_brigade *brigade;
#if defined(NETWARE) && defined(CLIB_STAT_PATCH)
    struct stat_libc finfo;
#else
    struct stat finfo;
#endif
    int request_processed;
} php_struct;

#endif /* PHP_MOD_BT_APACHE_H */
