#include <apr.h>
#include <apr_pools.h>
#include <apr_strings.h>

#include <libbtutil.h>

#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>

#define SZSTR	64

char* bt_nice_size(apr_pool_t*p, u_int64_t size)
{
 char* rv;
 char  szstr[SZSTR];

#define ssize ((long double)size)
 
 if(size > 1024 * 1024 * 1024 * 0.85)
 {
  snprintf(szstr, SZSTR, "%.02LfGb", ssize / 1024 / 1024 / 1024);
 }
 else if(size > 1024 * 1024 * 0.85)
 {
  snprintf(szstr, SZSTR, "%.02LfMb", ssize / 1024 / 1024);
 }
 else if(size > 1024 * 0.85)
 {
  snprintf(szstr, SZSTR, "%.02LfKb", ssize / 1024);
 }
 else
 {
  snprintf(szstr, SZSTR, "%llub", size);
 }
 
 rv = apr_pstrdup(p, szstr);
 
 return rv;
}
